Bug 1263302 - [ENG](6.1.z) Create feature for jbpm-workitems bundle
[ENG](6.1.z) Create feature for jbpm-workitems bundle
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Deployment (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity unspecified
: CR2
: ---
Assigned To: Mario Fusco
Jiri Petrlik
:
Depends On: 1263260
Blocks: 1259382
  Show dependency treegraph
 
Reported: 2015-09-15 10:00 EDT by Alessandro Lazarotti
Modified: 2015-10-13 05:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1263260
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-892 Major Resolved Create feature for jbpm-workitems bundle 2015-10-21 07:23 EDT

  None (edit)
Description Alessandro Lazarotti 2015-09-15 10:00:22 EDT
+++ This bug was initially created as a clone of Bug #1263260 +++

In the drools karaf features there is no feature for the jbpm-workitems bundle:

https://github.com/droolsjbpm/droolsjbpm-integration/blob/master/drools-osgi/drools-karaf-features/src/main/filtered-resources/repository/features.xml#L116

It would be good to add a feature with this bundle used in the fuse-bxms-integ repository to avoid specify a version, and have the possibility to include a range of versions, as we do for other drools bundles used in the fuse-integ-repository. Take a look:

https://github.com/jboss-integration/fuse-bxms-integ/blob/master/karaf/karaf-features/src/main/resources/features.xml#L41

--- Additional comment from Mario Fusco on 2015-09-15 09:02:49 EDT ---

This fix has been already pushed on master with this commit https://github.com/droolsjbpm/droolsjbpm-integration/commit/a6e53b3e96bb6a6a6b5b4d4ae2af8ad8c1f4cd89 and it's requested to cherry-pick this fix to 6.2.x branch.

--- Additional comment from JBoss Product and Program Management on 2015-09-15 09:10:18 EDT ---

Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 1 Mario Fusco 2015-09-15 13:26:17 EDT
Cherry-picked to 6.2.x branch with https://github.com/droolsjbpm/droolsjbpm-integration/commit/03a0df1a98a26cc20b848b91d6508b134f0f8b27
Comment 2 Jiri Petrlik 2015-10-13 05:51:28 EDT
The feature "jbpm-workitems" is present in drools-karaf-features and it is possible to install it into FUSE 6.2.0. I used BPMS 6.1.4.CR1 for bug verification.

Note You need to log in before you can comment on or make changes to this bug.